mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive Class Reference
Inheritance diagram for mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive:

## Public Member Functions

def | __init__ (self, name, config, importer=__import__)
def | read (self, count)
| Read 'count' bytes of data from DUT. More...
def | write (self, payload, log=False)
| Write 'payload' to DUT. More...
def | flush (self)
def | allocated (self)
def | connected (self)
def | finish (self)
def | reset (self)
def | __del__ (self)
Public Member Functions inherited from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive
def | __init__ (self, name)
def | write_kv (self, key, value)
| Forms and sends Key-Value protocol message. More...
def | read (self, count)
| Read data from DUT. More...
def | write (self, payload, log=False)
| Read data from DUT. More...
def | flush (self)
| Flush read/write channels of DUT. More...
def | reset (self)
| Reset the dut. More...
def | connected (self)
| Check if there is a connection to DUT. More...
def | error (self)
| Returns LAST_ERROR value. More...
def | finish (self)
| Handle DUT dtor like (close resource) operations here. More...

## Public Attributes

| config
| target_id
| grm_host
| grm_port
| grm_module
| platform_name
| baudrate
| image_path
| allocate_requirements
| remote_module
| selected_resource
| client
| LAST_ERROR
Public Attributes inherited from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive
| LAST_ERROR
| logger
| polling_timeout

## Detailed Description

Definition at line 23 of file conn_primitive_remote.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.__init__ | ( |  | self,
|  |  | name,
|  |  | config,
|  |  | importer = `__import__`
| ) |  |

Definition at line 24 of file conn_primitive_remote.py.

## __del__()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.__del__ | ( |  | self | ) |

Definition at line 186 of file conn_primitive_remote.py.

## Member Function Documentation

## allocated()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.allocated | ( |  | self | ) |

Definition at line 162 of file conn_primitive_remote.py.

## connected()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.connected | ( |  | self | ) |

Definition at line 165 of file conn_primitive_remote.py.

## finish()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.finish | ( |  | self | ) |

Definition at line 176 of file conn_primitive_remote.py.

## flush()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.flush | ( |  | self | ) |

Definition at line 159 of file conn_primitive_remote.py.

## read()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.read | ( |  | self,
|  |  | count
| ) |  |

Read 'count' bytes of data from DUT.

Definition at line 135 of file conn_primitive_remote.py.

## reset()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.reset | ( |  | self | ) |

Definition at line 183 of file conn_primitive_remote.py.

## write()

def mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.write | ( |  | self,
|  |  | payload,
|  |  | log = `False`
| ) |  |

Write 'payload' to DUT.

Definition at line 146 of file conn_primitive_remote.py.

## Member Data Documentation

## allocate_requirements

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.allocate_requirements

Definition at line 34 of file conn_primitive_remote.py.

## baudrate

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.baudrate

Definition at line 32 of file conn_primitive_remote.py.

## client

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.client

Definition at line 44 of file conn_primitive_remote.py.

## config

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.config

Definition at line 26 of file conn_primitive_remote.py.

## grm_host

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.grm_host

Definition at line 28 of file conn_primitive_remote.py.

## grm_module

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.grm_module

Definition at line 30 of file conn_primitive_remote.py.

## grm_port

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.grm_port

Definition at line 29 of file conn_primitive_remote.py.

## image_path

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.image_path

Definition at line 33 of file conn_primitive_remote.py.

## LAST_ERROR

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.LAST_ERROR

Definition at line 155 of file conn_primitive_remote.py.

## platform_name

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.platform_name

Definition at line 31 of file conn_primitive_remote.py.

## remote_module

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.remote_module

Definition at line 42 of file conn_primitive_remote.py.

## selected_resource

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.selected_resource

Definition at line 43 of file conn_primitive_remote.py.

## target_id

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.target_id

Definition at line 27 of file conn_primitive_remote.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_conn_proxy/conn_primitive_remote.py